Jump to content
PA-Sniv

IL2 server stats (unofficial)

Recommended Posts

here's a head scratch-er for ya <- link to sortie log

 

 

I am landing on a neutral airfield then triggering the base capture.  In this case I turned around and took off again to put the PE2 back into the airfield from which it came. (it was the last one left). Damage was from a funky bounce on landing the first time.

 

I've had the capture trigger next to control tower object in past version of mission and always logged a landed on airfield event in stats page. I've since moved them next to a hangar requiring a bit of taxiing, but the trigger is still on hard airfield surface.  Is there a radius from the control tower I should be aware of for my capture trigger?

 

Strange this is somehow stopping my plane caused a ditch to be registered even though i did not exit mission. Stopping completely is required to capture field (as per complex trigger). 

 

Leave it to a MF to find a way to break something huh?  

 

New update is supposed fix the airfield capture being shown on the map correctly in game, but somehow I think there is some other answer to this issue. I will move my triggers in a bit towards the tower and let ya know how that works.

 

Good times!!!

Edited by Menacing_Ferrets
  • Upvote 1

Share this post


Link to post
Share on other sites

In the logic of statistics landing - it  landing on an active airfield friendly coalition. In other situations, such as when the airfield changes its status after landing - will be ditch or crash.

You can try to make the airfield active from the beginning of the mission, set  coalition. And then just to switch the empty planeset on planeset with planes with help trigger Behavior.

 

About the complex trigger, I can not say anything. I have created a mission only in ROF, and mainly before addition of the trigger editor.

Share this post


Link to post
Share on other sites

It functioned correctly with the base change when the plane was on the actual runway, even with the base change. It's not a problem really, I am just going to experiment and see how far away from runway I can stop the plane without having a ditch recorded. I just thought it was funny that it said I ditched in that sortie (linked above) even though I took off again and landed at home base.  I bet this is something to do with how the game logged the sortie, nothing on your end I'd guess.  Cheers my friend your work is amazing!

  • Upvote 1

Share this post


Link to post
Share on other sites

On the screenshot stats folder is located in the directory c:\windows\system32 - this is the case?

How you run the installer? by double-click?

Share this post


Link to post
Share on other sites

Honestly I have no answer why this happen.

I simulate the situation.

 

C:\Tools\il2_stats\run>cd ../

C:\Tools\il2_stats>python -m venv --clear .venv

C:\Tools\il2_stats>".venv/Scripts/pip.exe" install --quiet --no-index --find-links=wheelhouse -r requirements.txt

C:\Tools\il2_stats>pause
You have not correct path from which the start of the installer.
You can try to run the installer from the administrator.
 
Or open the console (cmd). Run the command
cd C:\Tools\il2_stats\run
install.cmd
 

Share this post


Link to post
Share on other sites

Thank you Vaal, installation seems to have worked by using the console.

 

Now I do see that :

 

d103b4aa71ea3336a08b61b6ba5a160e.png

 

I'm not really sure about the waitress.cmd though :

a79a16fc340d96a267a5b58f60a31915.png

Edited by -LaFrench-LoupVert

Share this post


Link to post
Share on other sites

Order does not matter.

 

It seems that the restricted user rights and can not create the log file.

Share this post


Link to post
Share on other sites

And this issue because of the limitations of user rights. Your user does not have the rights to use port 80.

You can change port in conf.ini

Or expand the rights of the user.

Share this post


Link to post
Share on other sites

Color me happy! :) Thanks a lot for your patience Vaal. (Choose to use another port by the way, it's supposed to be an admin account I'm on but UAC doesn't seems to enjoy the idea.)

 

c9c3f7f6169111155af19b333ab13cae.png

 

 

By the way, is it possible to create server specific Fairplay rules?

 

 

 

PS: if you think it would be useful, I would like to make a French version for you. However I can't figure out what file to translate, could you point me to it?

Edited by -LaFrench-LoupVert

Share this post


Link to post
Share on other sites

By the way, is it possible to create server specific Fairplay rules?

 

Without programming skills - not. You can only change (percentage) existing in the admin panel.

 

PS: if you think it would be useful, I would like to make a French version for you. However I can't figure out what file to translate, could you point me to it?

 

It would be great. I'll write you a PM about it.

Share this post


Link to post
Share on other sites

Hello Vaal,

 

when I launch install.cmd this error (attach) happens.

 

Where I mistake?

 

 
I tried to change the permissions, but without success....
 
 
:salute: 

 

 

post-637-0-25303100-1454784721_thumb.jpg

Share this post


Link to post
Share on other sites

 

Hello Vaal,

 

when I launch install.cmd this error (attach) happens.

 

Where I mistake?

 

 
I tried to change the permissions, but without success....
 
 
:salute: 

 

 

Try to use these files instead of the original

run.zip

Share this post


Link to post
Share on other sites

I am running in what I think is a connection error. Is there anything specific I have to watch with db user or the db itself?

 

 

[2016.02.07 17:59:01] IL2 stats 1.0.14, Python 3.5.0, Django 1.8.8
[2016.02.07 17:59:01] unexpected error
Traceback (most recent call last):
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", line 130, in ensure_connection
    self.connect()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", line 119, in connect
    self.connection = self.get_new_connection(conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\postgresql_psycopg2\base.py", line 176, in get_new_connection
    connection = Database.connect(**conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\psycopg2\__init__.py", line 164, in connect
    conn = _connect(dsn, connection_factory=connection_factory, async=async)
psycopg2.OperationalError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "D:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "D:\il2_stats\src\stats\stats_whore.py", line 55, in main
    stats_whore(m_report_file=m_report_file)
  File "D:\Python35-32\lib\contextlib.py", line 29, in inner
    with self._recreate_cm():
  File "D:\il2_stats\.venv\lib\site-packages\django\db\transaction.py", line 150, in __enter__
    if not connection.get_autocommit():
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", line 286, in get_autocommit
    self.ensure_connection()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", line 130, in ensure_connection
    self.connect()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\utils.py", line 98, in __exit__
    six.reraise(dj_exc_type, dj_exc_value, traceback)
  File "D:\il2_stats\.venv\lib\site-packages\django\utils\six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", line 130, in ensure_connection
    self.connect()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", line 119, in connect
    self.connection = self.get_new_connection(conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\postgresql_psycopg2\base.py", line 176, in get_new_connection
    connection = Database.connect(**conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\psycopg2\__init__.py", line 164, in connect
    conn = _connect(dsn, connection_factory=connection_factory, async=async)
django.db.utils.OperationalError

 

Edited by [DBS]El_Marta

Share this post


Link to post
Share on other sites

Try to use these files instead of the original

 

Thank you Vaal, with this file work fine all, the stast is up!

 

:salute:

Share this post


Link to post
Share on other sites

One question: how can i sincronize time?  The time in mission page is one hour early

 

:salute: 

Share this post


Link to post
Share on other sites

You can set the time zone of the server manually.

conf.ini > game_server

time_zone = Europe/Moscow

 

but server timezone is determined automatically by the operating system settings

and on the mission page time zone UTC

if on the mission page time is not correctly - is probably a problem in the operating system settings

and probably manual tuning conf.ini can not help

Share this post


Link to post
Share on other sites

In the german version the main page should not read "Tage vergangen" but "Tage verbleiben" ("1 Tag verbleibt" singular). "Tage vergangen" means "days passed".

Share this post


Link to post
Share on other sites

I would also like to have the choice whether data is included in the statistics or not due to a disconnect depending on our own policy.

Share this post


Link to post
Share on other sites

You can set the time zone of the server manually.

conf.ini > game_server

time_zone = Europe/Moscow

 

but server timezone is determined automatically by the operating system settings

and on the mission page time zone UTC

if on the mission page time is not correctly - is probably a problem in the operating system settings

and probably manual tuning conf.ini can not help

 

like you said does not work  ;)

 

Te time in OS (win7) is correct. 

In DServer.log the time is one hour early also.

I think I can set it from startup.cfg or file.sds, but I do not know how to do.

 

What do you think?

Edited by ITAF_LG965

Share this post


Link to post
Share on other sites

I want to clarify one point.

Your server is running on an operating system with the Madrid time zone? UTC+1 ?

On the mission list page time is different for 1 hour by which one time zone? UTC or Mardrid?

Share this post


Link to post
Share on other sites

No, Rome time zone, and yes, Rome time zone is UTC+1.

On the mission list page and in DSserver.log the time is UTC.

Share this post


Link to post
Share on other sites

DSserver.log not use by statistics.

 

On the mission list page the time is UTC.

Then I do not understand what wrong - on the missions page time and must be in UTC.

Configure the time zone is impossible. On the site, the time zone associated with the selected locale. 

On the English page - UTC, on page Russian page - Moscow time, on page German page - Berlin time.

Share this post


Link to post
Share on other sites

It looks like in the game, when somebody has been shot down and he disconnects before he hits ground, the kill and death are not counted in stats. However during the game you can see the message on your screen that one player shot down another player. Wouldn't it be possible to count such things in the stats?

 

Edit: I see that something similar has been discussed here before, so just to clarify, I don't suggest that all disconnects should automatically be deaths, but there are cases where you could actually see in the game that player x was shot down by player y, so I suppose that it also somehow shows up in a log.

I also think that if an "instability issue" happens to come soon after taking damage in the game then it is quite justified to count him shot down.

 

Edit again: Or even if some computers tend to have stability problems when planes get damaged  ;) , not punishing them with "dead" stats, but still counting the kill for the guy that shot him down.

Edited by II./JG77_Kemp

Share this post


Link to post
Share on other sites

S!

 

I have the game installed in folder "C:\Pelit\IL-2_BoS", and I have this as the game folder in the conf.ini, like so:

[game_server]

path = C:\Pelit\IL-2_BoS

 

My log folder is "C:\Pelit\IL-2_BoS\data\logs"... so not "logs\txt" as the install notes say. How can I configure this path to the statistics? Now as I try to run the stats.cmd, it just says "waiting new report..." while the logs folder is full of log files.

 

Thanks in advance!

Edited by LLv34_Untamo

Share this post


Link to post
Share on other sites

I think you should rather change the path to \logs\txt\ in the server's startup.cfg file:

[KEY = system]
... 
mission_text_log = 1
text_log_folder = "logs\txt\

Stats.cmd is waiting for files in \data\logs\txt\. Afaik, you cannot change that.

Another quick and dirty solution would be to copy the log files from \logs into \logs\txt\ manually after eachs mission's end and then run stats.cmd.

Edited by [DBS]El_Marta

Share this post


Link to post
Share on other sites

Hmm... tried that now. Copied the logs manually to "logs\txt"... but it still just says "waiting new report...". I even restarted the stats.cmd... Still waiting. :O

Share this post


Link to post
Share on other sites

It looks like in the game, when somebody has been shot down and he disconnects before he hits ground, the kill and death are not counted in stats. However during the game you can see the message on your screen that one player shot down another player. Wouldn't it be possible to count such things in the stats?

 

Edit: I see that something similar has been discussed here before, so just to clarify, I don't suggest that all disconnects should automatically be deaths, but there are cases where you could actually see in the game that player x was shot down by player y, so I suppose that it also somehow shows up in a log.

I also think that if an "instability issue" happens to come soon after taking damage in the game then it is quite justified to count him shot down.

 

Edit again: Or even if some computers tend to have stability problems when planes get damaged  ;) , not punishing them with "dead" stats, but still counting the kill for the guy that shot him down.

 

Statistics within the game works is simple - any disconnects equal to the player's death. And if the player has been damaged by someone - the someone  get +1 kill. We are not satisfied with such an implementation.

 

We do not plan in the near future no change in the kill accounting stats system.

 

 

Hmm... tried that now. Copied the logs manually to "logs\txt"... but it still just says "waiting new report...". I even restarted the stats.cmd... Still waiting. :O

 

Send me a personal message with conf.ini, startup.cfg and archive with logs

Share this post


Link to post
Share on other sites

 Send me a personal message with conf.ini, startup.cfg and archive with logs

 

Message sent.

Share this post


Link to post
Share on other sites

If you have any such errors need to update the file objects and run the update. 

File "c:\www\il2_stats\src\mission_report\report.py", line 419, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'botpilot_ju88'

objects.zip

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...